Bug 447405 - Summary: TB58ddd93c sqlutils.py:159:executeSQLQmark:OperationalError: unrecognized token: "' "
Summary: TB58ddd93c sqlutils.py:159:executeSQLQmark:OperationalError: unrecog...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 16:01 EDT by phracking
Modified: 2008-09-09 16:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 16:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description phracking 2008-05-19 16:01:21 EDT
Component: pirut
Summary: TB58ddd93c sqlutils.py:159:executeSQLQmark:OperationalError:
unrecognized token: "' "  <--- the classic single quote

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 201, in _searchClicked
    for (po, res) in self.searchGenerator(fields, t_list):
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 1306, in
searchGenerator
    narrowed_list.extend(sack.searchPrimaryFields(sql_fields, s))
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 388, in
searchPrimaryFields
    executeSQL(cur, basestring)
  File "/usr/lib/python2.5/site-packages/yum/sqlutils.py", line 159, in
executeSQLQmark
    return cursor.execute(query)
OperationalError: unrecognized token: "' "

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0x5551978>
query: select DISTINCT pkgId from packages where name like '%'%'  or summary
like '%'%'  or description like '%'%' 
params: None
Comment 1 James Antill 2008-05-28 15:58:20 EDT
 Well in the upstream code:

yum search "'"

...now works, I'm 99% sure I fixed that post 3.2.8 though. So this will get
fixed if/when we backrelease a Fed-9 release.
Comment 2 Jan Hutař 2008-08-07 07:18:14 EDT
Hello,
I was able to reproduce this with pirut-1.3.25-2.fc8 yum-3.2.7-1.fc8, and I'm still getting this with pirut-1.3.31-1.fc8 and yum-3.2.8-2.fc8

Steps:
  1. run pirut
  2. search for "'" (just one quotation mark)



Component: pirut
Summary: TB58ddd93c sqlutils.py:159:executeSQLQmark:OperationalError: unrecognized token: "' "

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 201, in _searchClicked
    for (po, res) in self.searchGenerator(fields, t_list):
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 1306, in searchGenerator
    narrowed_list.extend(sack.searchPrimaryFields(sql_fields, s))
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 388, in searchPrimaryFields
    executeSQL(cur, basestring)
  File "/usr/lib/python2.5/site-packages/yum/sqlutils.py", line 159, in executeSQLQmark
    return cursor.execute(query)
OperationalError: unrecognized token: "' "

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0xa86d8c0>
query: select DISTINCT pkgId from packages where name like '%'%'  or summary like '%'%'  or description like '%'%' 
params: None
Comment 3 Seth Vidal 2008-08-07 08:20:28 EDT
please try this is in 3.2.17 from f8 updates-testing.
Comment 4 Jan Hutař 2008-08-21 05:28:35 EDT
Thank you, VERIFIED with:

yum-3.2.18-1.fc8
pirut-1.3.25-2.fc8
Comment 5 petrosyan 2008-09-09 16:57:21 EDT
VERIFIED means that the bug is still present.
If the bug has been fixed change its status to CLOSED and not VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.